
Summary:	A WBFS manager for Linux using GTK+
Name:		wbfs-manager
Version:	0.1.12
Release:	%mkrel 1
License:	GPLv2
Group:		System/Kernel and hardware
Url:		http://code.google.com/p/linux-wbfs-manager/
Source0:	http://linux-wbfs-manager.googlecode.com/files/linux-wbfs-manager-%{version}.tar.gz
Source1:	wbfs-gtk.desktop
Patch1:		wbfs-manager.patch

%ifarch x86_64
BuildRequires:	lib64glade2.0_0-devel
BuildRequires:	lib64gtk+2.0-devel
%else
BuildRequires:	libglade2.0_0-devel
BuildRequires:	libgtk+2.0-devel
%endif
BuildRequires:	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
This is yet another graphic WBFS (Wii Backup File System) manager 
for Linux. It uses libwbfs from Kwiirk and caristat 
(available from the authors at 
http://github.com/kwiirk/wbfs/tree/master). 

%prep
%setup -q -n linux-%{name}
%patch1 -p1

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}/
cp -p wbfs_gtk %{buildroot}%{_bindir}/
desktop-file-install \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
%{SOURCE1}


# Copying icons
%{__mkdir} -p ${RPM_BUILD_ROOT}/usr/share/icons/hicolor/16x16/apps
%{__mkdir} -p ${RPM_BUILD_ROOT}/usr/share/icons/hicolor/32x32/apps
%{__mkdir} -p ${RPM_BUILD_ROOT}/usr/share/icons/hicolor/64x64/apps
%{__cp} -p wbfs_gtk-16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/wbfs_gtk.png
%{__cp} -p wbfs_gtk-32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/wbfs_gtk.png
%{__cp} -p wbfs_gtk-64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/wbfs_gtk.png


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README wbfs_gui.glade
%{_bindir}/wbfs_gtk
%{_datadir}/applications/wbfs-gtk.desktop
%{_datadir}/icons/hicolor/*

%changelog

* Mon Apr 29 2013 david.david (MLO Team) <david.david> 0.1.12-1.mga2
+ Rebuild package for Mageia 2 (Core)
- Import package from Fedora
- Icons added
- clean "spec" file
- new version: 0.1.12

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1.12-3
- Rebuild for new libpng

* Mon May 23 2011 Dave Riches <david.r@ultracar.co.uk> - 0.1.12-2
- fixed CFLAGS

* Sat Mar 12 2011 Dave Riches - 0.1.12-1
- Packaged for fedora

